.product_container {
  display: grid;
  grid-template-columns: 120px 0px 3fr 4fr; 
  gap: 8px;
}
.product_list_image {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  padding: 4px 0px;
  max-height: 550px;
  overflow-y: auto;
  
  
}
.product_list_image > div {
  width: 100px;
  display: flex;
  cursor: pointer;
  aspect-ratio: 3 /4;
}
.product_list_image img {
  width: 100%;
  object-fit: cover;
}
.product_image {
  position: relative;
  aspect-ratio: 3 / 4;
  background-color: aquamarine;
  
}
.product_image > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.product_image:hover > .zoom_container {
  display: block;
}
.product_image:hover > #lensBox {
  visibility: visible;
}
.product_image:hover > img {
  opacity: 0.5;
}
.product_image > div {
  /* width: 100%; */
}
.product_image img {
  width: 100%;
}
.product_image  > #lensBox {
  width: 100px;
  height: 100px;
  position: absolute;
  top: 0;
  visibility: hidden;
}
.zoom_container {
  position: absolute;
  right: 0;
  top: 0;
  translate: calc(100% + 8px) 0;
  width: 500px;
  height: 400px;
  display: none;
  pointer-events: none;
  z-index: 10;
}
.product_detail {
  /* background-color: blue; */
  padding: 4px 12px 4px 28px;
  margin: 8px 0px;
}
.product_name {
  text-transform: capitalize;
}
.product_header {
  margin: 16px 0px;
}
.product_discount_price {
  /* font-weight: bold; */
  font-size: 24px;
}
.product_price_before_discount  {
  /* font-size: 12px; */
  padding-left: 12px;
}
.product_price > div {
  font-size: 12px;
}
.product_discount {
  font-size: 12px;
  color: var(--bs-danger);
  margin-left: 4px;
}
.product_quantity {
  margin: 24px 0px;
}
.product_quantity > div {
  width: 110px;
}
.product_description {
  margin: 24px 0px;
}
